@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");
*,
*::after,
*::before {
  padding: 0%;
  margin: 0%;
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  text-transform: capitalize;
  line-height: 1.4;
}
:root {
  --main-color: RGB(32, 201, 151);
  --title-color: RGB(222, 227, 228);
  --main-transition: 0.5s;
  --main-padding: 70px;
  --section-bg: #f8f9fa;
}
body {
  font-family: "Poppins", sans-serif;
}
img {
  width: 100%;
  display: block;
}
a {
  color: inherit;
}
.container {
  width: 85%;
  margin: auto;
}
/* *================> Title <================ */
.title {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
}
.title p {
  position: absolute;
  font-size: 2rem;
  font-weight: 600;
}
.title p::before {
  content: "";
  position: absolute;
  width: 100px;
  height: 5px;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  background-color: var(--main-color);
}
.title h2 {
  font-size: 8rem; /*alt + z*/
  color: var(--title-color);
}
/* &================> Navbar <================ */
.navbar {
  background-color: #000;
  position: fixed;
  width: 100%;
  top: 0%;
  left: 0%;
  z-index: 999;
}
.navbar .container {
  display: flex;
  align-items: center;
  padding-block: 15px;
}
.navbar .container .nav-manu {
  display: flex;
  gap: 15px;
  color: #fff;
  margin: auto;
}
.navbar .container .nav-manu a {
  transition: color var(--main-transition);
}
.navbar .container .nav-manu a:hover {
  color: var(--main-color);
}
.navbar label {
  /* background-color: red; */
  color: #fff;
  margin-left: auto;
  display: none;
}
.navbar #menu {
  display: none;
}
/* !================> Landing   <================ */
#landing {
  background: linear-gradient(to right, #00000075, #00000075),
    url("../images/home.jpg") center / cover;
  /* background-position: center center; */
  /* background-repeat: no-repeat; */
  /* background-size: cover; */
  color: #fff;
}
#landing .container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  /* background-color: red; */
  height: 100vh;
}
/* rem = 16px */
#landing .container .landing-area {
  font-size: 25px;
}
#landing .container .landing-area a {
  margin-top: 20px;
  display: inline-block;
  padding: 15px 30px;
  border: 1px solid var(--main-color);
  border-radius: 50px;
  transition: background-color var(--main-transition);
}
#landing .container .landing-area a:hover {
  background-color: var(--main-color);
}
#landing .container .landing-area {
  margin-block: auto;
}
#landing .container .down {
  position: relative;
  animation: move 1s infinite linear;
}
@keyframes move {
  0% {
    bottom: 30px;
    opacity: 0;
  }
  100% {
    bottom: 0px;
    opacity: 1;
  }
}
/* ^================> About <================ */
#about {
  padding-block: var(--main-padding);
}
#about .about-area {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  row-gap: 30px;
}
#about .about-area .about-text {
  width: calc(70% - 30px);
}
#about .about-area .about-info {
  width: 30%;
}
#about .about-area .about-text p {
  margin-block: 15px;
  color: #000000ba;
}
#about .about-area .about-text span {
  color: var(--main-color);
}
#about .about-area .about-info ul li {
  padding-block: 10px;
}
#about .about-area .about-info ul li span {
  font-weight: 900;
}
#about .about-area .about-info ul li:not(:last-child) {
  border-bottom: 1px dashed #00000046;
}
#about .about-area .about-info .cv {
  display: inline-block;
  margin-top: 15px;
  padding: 15px 20px;
  background-color: var(--main-color);
  border-radius: 50px;
  color: #fff;
  transition: background-color var(--main-transition);
}
#about .about-area .about-info .cv:hover {
  background-color: rgb(22, 138, 103);
}
#about .about-area .about-counter {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 100%;
  margin-top: 50px;
  row-gap: 30px;
}
#about .about-area .about-counter .item {
  width: 25%;
  font-size: 25px;
  color: RGB(170, 170, 170);
}
#about .about-area .about-counter .item:not(:last-child) {
  border-right: #00000046 solid 1px;
}
/* ?================> What I Do <================ */
#services {
  padding-block: var(--main-padding);
  background-color: var(--section-bg);
}
#services .service-area {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  row-gap: 30px;
}
#services .service-area .item {
  width: calc((100% - 30px) / 2);
  display: flex;
  gap: 20px;
}
#services .service-area .item .icon {
  /* width: 4.375rem;
  height: 4.375rem; */
  padding: 1.375rem;
  background-color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 10px;
  box-shadow: 0 0 5px #0000007d;
}
#services .service-area .item .icon i {
  font-size: 1.7rem;
  color: var(--main-color);
}
#services .service-area .item h3 {
  margin-bottom: 5px;
}
#services .service-area .item p {
  color: #000000b6;
}
/* &================> Resume <================ */
#resume {
  padding-block: var(--main-padding);
}
#resume .resume-area {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 30px;
}
#resume .resume-area .item {
  width: calc((100% - 30px) / 2);
  border: 1px solid #00000046;
  padding: 30px;
  border-radius: 10px;
}
#resume .resume-area .item span {
  background-color: var(--main-color);
  padding: 2px 10px;
  border-radius: 10px;
  color: #fff;
  display: inline-block;
  margin-bottom: 10px;
}
#resume .resume-area .item .text-red {
  color: red;
  padding-block: 15px;
}
#resume .skills h3 {
  margin-block: 50px;
  font-size: 2.5rem;
}
#resume .skills .skills-area {
  display: flex;
  flex-wrap: wrap;
  gap: 30px;
}
#resume .skills .skills-area .item {
  width: calc((100% - 30px) / 2);
}
#resume .skills .skills-area .item .text {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 5px;
}
#resume .skills .skills-area .item .progress {
  width: 100%;
  height: 10px;
  background-color: #ccc;
  border-radius: 10px;
}
#resume .skills .skills-area .item .inner-progress {
  background-color: var(--main-color);
  height: inherit;
  border-radius: inherit;
}
/* ^================> Portfolio <================ */
#portfolio {
  padding-block: var(--main-padding);
  background-color: var(--section-bg);
}
#portfolio .portfolio-area ul {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
}
#portfolio .portfolio-area ul .active {
  color: var(--main-color);
  /* border-bottom: 1px solid var(--main-color); */
  position: relative;
}
#portfolio .portfolio-area ul .active::before {
  content: "";
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 2px;
  background-color: var(--main-color);
}
#portfolio .portfolio-area .gallary {
  display: flex;
  margin-top: 30px;
  justify-content: space-between;
  flex-wrap: wrap;
  row-gap: 30px;
}
#portfolio .portfolio-area .gallary .col {
  width: calc((100% - 30px) / 3);
}
#portfolio .portfolio-area .gallary .col .item {
  position: relative;
  overflow: hidden;
  margin-bottom: 30px;
  border-radius: 10px;
  cursor: pointer;
}
#portfolio .portfolio-area .gallary .col .item .layer {
  position: absolute;
  background-color: #0000009a;
  /* width: 100%;
  height: 100%;
  top: 0;
  left: 0%; */
  /* inset: ; top bottom left right */
  inset: 0%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  color: #fff;
  font-size: 1.2rem;
  opacity: 0;
  transition: opacity var(--main-transition);
}
#portfolio .portfolio-area .gallary .col .item:hover .layer {
  opacity: 1;
}
#portfolio .portfolio-area .gallary .col .item img {
  transition: all var(--main-transition);
}
#portfolio .portfolio-area .gallary .col .item:hover img {
  filter: blur(10px);
  transform: scale(1.2);
}
/* ?================> Testimonial <================ */
#testimonial {
  padding-block: var(--main-padding);
}
#testimonial .client-area {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  row-gap: 30px;
}
#testimonial .client-area .client {
  width: calc((100% - 30px) / 2);
  background-color: var(--section-bg);
  padding: 50px;
  border-radius: 10px;
}
#testimonial .client-area .client .client-info {
  display: flex;
  gap: 20px;
  margin-bottom: 20px;
}
#testimonial .client-area .client .client-info img {
  width: 75px;
  border-radius: 50%;
}
#testimonial .client-area .client ul {
  display: flex;
  gap: 3px;
  margin-top: 5px;
  color: gold;
}
#testimonial .bulets {
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  gap: 15px;
  margin-top: 20px;
}
#testimonial .bulets span {
  width: 10px;
  height: 10px;
  background-color: gray;
  border-radius: 50%;
}
#testimonial .bulets span.active {
  background-color: var(--main-color);
  outline: 1px solid var(--main-color);
  outline-offset: 4px;
}
